em {
  color: var(--color-bg);
}

.projects {
  padding-top: 100px;
  max-width: 1200px;
  padding-left: 15px;
  padding-right: 15px;
  margin: 0 auto;
}

.project-cards-container {
  margin-top: 50px;
  height: fit-content;
  height: -moz-fit-content;
  display: flex;
  flex-wrap: wrap;
  gap: 2em;
  justify-content: center;
}

.card {
  display: inline-flex;
  flex-direction: column;
  color: var(--color-bg);
  width: 100%;
  max-width: 400px;
}

.card:not(:last-child) {
  margin: 0 auto 2em auto;
}

.card-preview-img {
  max-width: 100%;
  border-radius: 10px 10px 0 0;
  padding: 5px;
  background-color: white;
}

.card-info {
  padding: 25px;
  background-color: #ffffff;
  border-radius: 0 0 10px 10px;
}

.has-no-preview .card-info {
  border-radius: 10px;
}

.title-and-links {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin-bottom: 10px;
}

.project-title {
  font-size: 1.2em;
  font-weight: 700;
  letter-spacing: 0.05em;
  color: var(--color-bg);
}

.project-links {
  display: flex;
  flex-wrap: nowrap;
}

.project-links a i {
  padding: 5px;
}

.project-links a i {
  color: var(--color-primary);
  font-size: 1.2em;
  transition: all 0.2s ease;
}

.project-links a i:hover {
  font-size: 1.25em;
  padding: 2px 5px;
  color: var(--color-secondary);
}

.project-links a:last-child {
  margin-left: 5px;
}

.project-skills {
  margin-bottom: 12px;
  padding-bottom: 12px;
  border-bottom: 1px solid var(--color-secondary);
  display: flex;
  flex-wrap: wrap;
  gap: 5px 10px; /* row-gap column-gap */
}

.project-skills span {
  color: var(--color-accent);
  font-weight: 700;
  font-size: 0.9em;
  letter-spacing: 0.05em;
}

.project-description {
  color: var(--color-bg);
}

@media only screen and (min-width: 768px) {
  .card {
    flex: 0 1 calc(50% - 1em);
    max-width: 100%;
  }
}

@media only screen and (min-width: 1024px) {
  .card {
    flex: 0 1 calc(50% - 1em);
  }
}
